﻿using FurnitureAssemblyListImplement.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Component = FurnitureAssemblyListImplement.Models.Component;

namespace FurnitureAssemblyListImplement
{
    internal class DataListSingleton
    {
        private static DataListSingleton? _instance;

        public List<Component> Components { get; set; }

        public List<Order> Orders { get; set; }

        public List<Product> Products { get; set; }

        private DataListSingleton()
        {
            Components = new List<Component>();
            Orders = new List<Order>();
            Products = new List<Product>();
        }

        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }

            return _instance;
        }
    }
}
